## org.eclipse.amp.amf.gen.ide
Class BasicProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.amf.gen.ide.PluginProjectWizard
              org.eclipse.amp.amf.gen.ide.BasicProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class BasicProjectWizard

extends PluginProjectWizard

A simple AMF builder project. Creates basic documentations artifacts.

Author:
  milesparker

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`BasicProjectWizard()`

Method Summary
`void` `addBuilders(java.util.List<java.lang.String> builderIDs)`
`java.lang.String` `getProjectTypeName()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.PluginProjectWizard
`addClasspaths, addPages, createFiles, getNatures, getPluginID, getProject, getSourceDirName, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### BasicProjectWizard

    public BasicProjectWizard()

Method Detail

### addBuilders

    public void addBuilders(java.util.List<java.lang.String> builderIDs)

  Overrides:
    `addBuilders` in class `PluginProjectWizard`

### getProjectTypeName

    public java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `PluginProjectWizard`